-- phpMyAdmin SQL Dump
-- version 4.9.7
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Jul 02, 2021 at 11:45 AM
-- Server version: 5.6.39-cll-lve
-- PHP Version: 7.3.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `d3m0231_fb1234`
--

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `password_resets`
--

CREATE TABLE `password_resets` (
  `id` int(11) UNSIGNED NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `id` int(11) UNSIGNED NOT NULL,
  `country` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `timezone` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `time_format` int(11) DEFAULT NULL,
  `iprestriction` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `opt` varchar(800) COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `country`, `timezone`, `time_format`, `iprestriction`, `opt`) VALUES
(1, 'United States of America', 'America/Chicago', 1, '', '');

-- --------------------------------------------------------

--
-- Table structure for table `table_reasons`
--

CREATE TABLE `table_reasons` (
  `id` int(10) UNSIGNED NOT NULL,
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `table_reasons`
--

INSERT INTO `table_reasons` (`id`, `reason`) VALUES
(13, 'INTERVIEW'),
(14, 'SALES MEETING'),
(15, 'DEMO SHOWING');

-- --------------------------------------------------------

--
-- Table structure for table `table_visitorlog`
--

CREATE TABLE `table_visitorlog` (
  `id` int(11) UNSIGNED NOT NULL,
  `date` varchar(20) COLLATE utf8_unicode_ci DEFAULT '',
  `firstname` varchar(100) COLLATE utf8_unicode_ci DEFAULT '',
  `lastname` varchar(100) COLLATE utf8_unicode_ci DEFAULT '',
  `reasonforvisit` varchar(200) COLLATE utf8_unicode_ci DEFAULT '',
  `visitorfrom` varchar(100) COLLATE utf8_unicode_ci DEFAULT '',
  `timein` varchar(15) COLLATE utf8_unicode_ci DEFAULT '',
  `timeout` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `table_visitorlog`
--

INSERT INTO `table_visitorlog` (`id`, `date`, `firstname`, `lastname`, `reasonforvisit`, `visitorfrom`, `timein`, `timeout`, `created_at`, `updated_at`) VALUES
(46, '2021-07-01', 'JIMMY', 'JOHN', 'SALES MEETING', 'DALLAS,TX', '11:21 PM', '11:24 PM', '2021-07-02 04:21:47', '2021-07-02 04:24:25'),
(47, '2021-07-01', 'SATISH', 'GAIRE', 'DEMO SHOWING', 'FRISCO, TX', '11:42 PM', '11:43 PM', '2021-07-02 04:43:01', '2021-07-02 04:43:16'),
(48, '2021-07-01', 'STEPHEN', 'JOHNSON', 'INTERVIEW', 'DALLAS,TX', '11:45 PM', '11:47 PM', '2021-07-02 04:45:42', '2021-07-02 04:47:10'),
(49, '2021-07-01', 'STEPHEN', 'JOANS', 'INTERVIEW', 'DALLAS,TX', '11:46 PM', '11:47 PM', '2021-07-02 04:46:07', '2021-07-02 04:47:17'),
(50, '2021-07-01', 'NIK', 'JOHNSON', 'INTERVIEW', 'DALLAS,TX', '11:46 PM', '11:47 PM', '2021-07-02 04:46:46', '2021-07-02 04:47:31'),
(51, '2021-07-02', 'NIKESH', 'CHAPAGAIN', 'SALES MEETING', 'DALLAS, TX', '10:19 AM', '10:19 AM', '2021-07-02 15:19:34', '2021-07-02 15:19:51'),
(52, '2021-07-02', 'SATISH', 'GAIRE', 'DEMO SHOWING', 'FRISCO, TX', '10:20 AM', '10:27 AM', '2021-07-02 15:20:53', '2021-07-02 15:27:09'),
(53, '2021-07-02', 'KEVIN', 'KWAN', 'INTERVIEW', 'LITTLE ELM', '10:21 AM', NULL, '2021-07-02 15:21:30', NULL),
(54, '2021-07-02', 'KEITH', 'BRADFORD', 'SALES MEETING', 'PLANO, TX', '10:26 AM', NULL, '2021-07-02 15:26:57', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `role_id` int(11) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `role_id`, `status`, `password`, `remember_token`, `created_at`, `updated_at`) VALUES
(2, 'SIGNUPFORME', 'nikesh@logicxy.com', 2, 1, '$2y$10$Xrm/ftX0YlBUEP9x5HRtB.5SLRJdzphBRJpO9xeuQOFvmBbadF5o6', '', '2018-12-21 05:20:18', '2018-12-21 05:20:18'),
(5, 'SATISH GAIRE', 'satish@logicxy.com', 5, 1, '$2y$10$w3I2jBihQUKHlXLHoFLpdeYnpnniWYhOQhkeFjUeuHN2pepWqX7Xu', NULL, '2021-07-02 04:19:37', '2021-07-02 04:19:37');

-- --------------------------------------------------------

--
-- Table structure for table `users_permissions`
--

CREATE TABLE `users_permissions` (
  `id` int(11) UNSIGNED NOT NULL,
  `role_id` int(11) DEFAULT NULL,
  `perm_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users_permissions`
--

INSERT INTO `users_permissions` (`id`, `role_id`, `perm_id`) VALUES
(1980, 2, 1),
(1981, 2, 2),
(1982, 2, 21),
(1983, 2, 22),
(1984, 2, 23),
(1985, 2, 24),
(1986, 2, 6),
(1987, 2, 7),
(1988, 2, 71),
(1989, 2, 72),
(1990, 2, 73),
(1991, 2, 74),
(1992, 2, 3),
(1993, 2, 31),
(1994, 2, 32),
(1995, 2, 33),
(1996, 2, 4),
(1997, 2, 41),
(1998, 2, 42),
(1999, 2, 43),
(2000, 2, 44),
(2001, 2, 5),
(2002, 2, 51),
(2003, 2, 8);

-- --------------------------------------------------------

--
-- Table structure for table `users_roles`
--

CREATE TABLE `users_roles` (
  `id` int(11) UNSIGNED NOT NULL,
  `role_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users_roles`
--

INSERT INTO `users_roles` (`id`, `role_name`, `state`) VALUES
(2, 'MANAGER', 'Active'),
(5, 'EMPLOYEE', 'Active');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_resets`
--
ALTER TABLE `password_resets`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `table_reasons`
--
ALTER TABLE `table_reasons`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `table_visitorlog`
--
ALTER TABLE `table_visitorlog`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users_permissions`
--
ALTER TABLE `users_permissions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users_roles`
--
ALTER TABLE `users_roles`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `password_resets`
--
ALTER TABLE `password_resets`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `settings`
--
ALTER TABLE `settings`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `table_reasons`
--
ALTER TABLE `table_reasons`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `table_visitorlog`
--
ALTER TABLE `table_visitorlog`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=55;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `users_permissions`
--
ALTER TABLE `users_permissions`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2019;

--
-- AUTO_INCREMENT for table `users_roles`
--
ALTER TABLE `users_roles`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
