<?php
/*
* Frontdesk - Visitor Management System
* Email: official.codefactor@gmail.com
* Version: 2
* Author: Brian Luna
* Copyright 2020 Codefactor
*/

namespace App\Http\Middleware;

use Closure;
use App;

class Localization
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if(session()->has('locale')) 
        {
            App::setLocale(session()->get('locale'));
        }
        
        return $next($request);
    }
}
