<div class="ui modal medium edit">
    <div class="header"><?php echo e(__("Edit visitor information")); ?></div>
    <div class="content">
    <form id="edit_visitor_form" action="<?php echo e(url('visitor-log/update')); ?>" class="ui form add-user" method="post" accept-charset="utf-8">
        <?php echo csrf_field(); ?>
        <div class="two fields">
            <div class="field">
                <label><?php echo e(__('First Name')); ?></label>
                <input type="text" class="uppercase" name="firstname" value="">
            </div>
            <div class="field">
                <label><?php echo e(__('Last Name')); ?></label>
                <input type="text" class="uppercase" name="lastname" value="">
            </div>
        </div>
        <div class="field">
            <label><?php echo e(__('Reason for Visit')); ?></label>
            <input type="text" class="uppercase" name="reasonforvisit" value="">
        </div>
        <div class="field">
            <label><?php echo e(__('Visitor From')); ?></label>
            <input type="text" class="uppercase" name="visitorfrom" value="">
        </div>
        <div class="field">
            <label><?php echo e(__('Date')); ?></label>
            <div class="ui right labeled input">
                <input type="text" placeholder="Date" name="date" class="airdatepicker" data-position="top right"/>
                <div class="ui basic label">
                    <i class="calendar alternate icon mr-0"></i>
                </div>
            </div>
        </div>
        <div class="two fields">
            <div class="field">
                <label><?php echo e(__('Time In')); ?></label>
                <div class="ui right labeled input">
                    <input type="text" placeholder="00:00:00 AM" name="timein" class="jtimepicker" />
                    <div class="ui basic label">
                        <i class="clock outline icon mr-0"></i>
                    </div>
                </div>
            </div>
            <div class="field">
                <label><?php echo e(__('Time Out')); ?></label>
                <div class="ui right labeled input">
                    <input type="text" placeholder="00:00:00 PM" name="timeout" class="jtimepicker" />
                    <div class="ui basic label">
                        <i class="clock outline icon mr-0"></i>
                    </div>
                </div>
            </div>
        </div>
        <div class="field">
            <div class="ui error message">
                <i class="close icon"></i>
                <div class="header"></div>
                <ul class="list">
                    <li class=""></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="actions">
        <input type="hidden" name="id" class="" readonly="" value="">
        <button class="ui positive approve small button" type="submit" name="submit"><i class="ui checkmark icon"></i> <?php echo e(__("Save")); ?></button>
        <button class="ui grey cancel small button" type="button"><i class="ui times icon"></i> <?php echo e(__("Cancel")); ?></button>
    </div>
    </form>
</div><?php /**PATH /home/d3m0231/public_html/fd2378/application/resources/views/admin/modals/modal-edit-visitor.blade.php ENDPATH**/ ?>