(function() {
    "use strict";

    function clearNotempty() {
        $('input, textarea').each(function(index, el) {
            var input = $(this).val();
            if (input !== '') {
                $(this).addClass('notempty');
            } else {
                $(this).removeClass('notempty');
            };
        });

        $('.ui.dropdown.selection, .ui.search.dropdown').each(function(index, el) {
            var dropdown = $(this).find('select').val();
            var selected = $(this).find('.menu .item.active.selected').attr('data-value');
            if (dropdown !== '' && selected !== undefined || selected !== '' && selected !== undefined) {
                $(this).addClass('notempty');
            } else {
                $(this).removeClass('notempty');
            };
        });

        $('.ui.dropdown.selection, .ui.search.dropdown').focusout(function(event) {
            var dd = $(this).find('select').val();
            var selected = $(this).find('.menu .item.active.selected').attr('data-value');
            if (dd !== '' && selected !== undefined || selected !== '' && selected !== undefined) {
                $(this).addClass('notempty');
            } else {
                $(this).removeClass('notempty');
            };
        });
    }

    $('.btn-edit').on("click", function() {
        var id = $(this).attr('data-id');
        var url = $("#url").val();

        $.ajax({
            url: url + '/visitor-log/get/',
            type: 'get',
            dataType: 'json',
            data: { id: id },
            headers: { 'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content') },

            success: function(response) {
                $('.edit input[name="id"]').val(response['id']);
                $('.edit input[name="date"]').val(response['date']);
                $('.edit input[name="firstname"]').val(response['firstname']);
                $('.edit input[name="lastname"]').val(response['lastname']);
                $('.edit input[name="reasonforvisit"]').val(response['reasonforvisit']);
                $('.edit input[name="visitorfrom"]').val(response['visitorfrom']);
                $('.edit input[name="timein"]').val(response['timein']);
                $('.edit input[name="timeout"]').val(response['timeout']);

                $('ui.modal.edit').modal('show');

                clearNotempty();
            }
        })
    });
})();