@extends('layouts.default')

@section('meta')
    <title>Visitor Timeline Today</title>
    <meta name="description" content="">
@endsection

@section('styles')
    <link href="{{ asset('/assets/vendor/air-datepicker/dist/css/datepicker.min.css') }}" rel="stylesheet">
    <link href="{{ asset('/assets/vendor/mdtimepicker/mdtimepicker.min.css') }}" rel="stylesheet">
    <style>
    /* .ui.active.modal {position: relative !important;} */
    .datepicker {z-index: 999 !important;}
    .datepickers-container {z-index: 9999 !important;}
    </style>
@endsection

@section('content')

<div class="container-fluid">
    <div class="row">
        <h2 class="page-title">{{ __('Visitors Today') }}</h2>
    </div>

    <div class="row">
        <div class="card col-md-12">
            <ul class="timeline">
                @isset($data)
                    @foreach($data as $visitor) 
                        <li class="timeline__item">
                            <div class="timeline__step">
                                <div class="timeline__step__marker timeline__step__marker--blue"></div>
                            </div>
                            <div class="timeline__time">{{ $visitor->timein }}</div>
                            <div class="timeline__content">
                                <div class="timeline__title">
                                    {{ $visitor->lastname }}, {{ $visitor->firstname }}
                                </div>
                                <ul class="timeline__points">
                                    <li>{{ $visitor->reasonforvisit }}</li>
                                </ul>
                            </div>
                        </li>
                    @endforeach
                @endisset
            </ul>
        </div>
    </div>
</div>

@endsection

@section('scripts')

@endsection