<?php $__env->startSection('meta'); ?>
    <title>Visitor Log</title>
    <meta name="description" content="">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('styles'); ?>
    <link href="<?php echo e(asset('/assets/vendor/air-datepicker/dist/css/datepicker.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('/assets/vendor/mdtimepicker/mdtimepicker.min.css')); ?>" rel="stylesheet">
    <style>
    /* .ui.active.modal {position: relative !important;} */
    .datepicker {z-index: 999 !important;}
    .datepickers-container {z-index: 9999 !important;}
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<?php echo $__env->make('admin.modals.modal-add-visitor', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('admin.modals.modal-edit-visitor', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="container-fluid">
    <div class="row">
        <h2 class="page-title"><?php echo e(__('Visitor Log')); ?>

            <button class="ui green button mini offsettop5 btn-add float-right"><i class="ui icon plus"></i><?php echo e(__("Add")); ?></button>
            <a class="ui teal button mini offsettop5 float-right" href="<?php echo e(url('/reason-for-visits')); ?>" ><i class="ui icon edit outline"></i><?php echo e(__("Reason for Visits")); ?></a>
        </h2>
    </div>

    <div class="row">
        <div class="box box-success">
            <div class="box-body">
            <table width="100%" class="table table-striped table-hover" id="dataTables-example" data-order='[[ 0, "desc" ]]'>
                <thead>
                    <tr>
                        <th><?php echo e(__('Date')); ?></th> 
                        <th><?php echo e(__("Visitor's Name")); ?></th> 
                        <th><?php echo e(__('Reason for Visit')); ?></th>
                        <th><?php echo e(__('Visitor From')); ?></th>
                        <th><?php echo e(__('Time In')); ?></th>
                        <th><?php echo e(__('Time Out')); ?></th>
                        <th class=""></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if(isset($visitors)): ?>
                    <?php $__currentLoopData = $visitors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $visitor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($visitor->date); ?></td>
                            <td><?php echo e($visitor->lastname); ?>, <?php echo e($visitor->firstname); ?></td>
                            <td><?php echo e($visitor->reasonforvisit); ?></td>
                            <td><?php echo e($visitor->visitorfrom); ?></td>
                            <td><?php echo e($visitor->timein); ?></td>
                            <td><?php echo e($visitor->timeout); ?></td>
                            <td class="align-right">
                                <button type="button" class="ui circular basic icon button tiny blue btn-edit" data-id="<?php echo e($visitor->id); ?>" data-tooltip="Edit"><i class="edit outline icon"></i></button>
                                <a href="<?php echo e(url('/visitor-log/delete/'.$visitor->id)); ?>" class="ui circular basic icon button tiny orange" data-tooltip="Delete"><i class="trash alternate outline icon"></i></a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </tbody>
            </table>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('/assets/vendor/air-datepicker/dist/js/datepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/vendor/air-datepicker/dist/js/i18n/datepicker.en.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/vendor/mdtimepicker/mdtimepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/initiate-datatable.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/toast-show.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/initiate-mdtimepicker.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/initiate-airdatepicker.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/visitors-btn-edit.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/not-empty-form.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/d3m0231/public_html/fd2378/application/resources/views/admin/visitor-log.blade.php ENDPATH**/ ?>