<?php $__env->startSection('meta'); ?>
    <title>Edit Permissions</title>
    <meta name="description" content="Visitor Management System edit user permissions.">
<?php $__env->stopSection(); ?> 

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <h2 class="page-title"><?php echo e(__("Edit Permissions")); ?>

                <a href="<?php echo e(url('users/roles')); ?>" class="ui basic blue button mini offsettop5 float-right"><i class="ui icon chevron left"></i><?php echo e(__("Return")); ?></a>
            </h2>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="box box-success">
                <div class="box-content">
                    <form action="<?php echo e(url('users/roles/permissions/update')); ?>" class="ui form grid" method="post" accept-charset="utf-8">
                       <?php echo csrf_field(); ?>
                        <div class="eight wide column">
                            <div class="ui relaxed list">
                                <h3 class="ui sub header"><?php echo e(__("Dashboard")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('1', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="1">
                                        <label><?php echo e(__("Open Dashboard page")); ?></label>
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("Visitor Logs")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('2', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="2">
                                        <label><?php echo e(__("Open Visitor logs page")); ?></label>
                                    </div>
                                    <div class="list">
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('21', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="21">
                                                <label><?php echo e(__("Add Visitor")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('22', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="22">
                                                <label><?php echo e(__("View Visitor")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('23', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="23">
                                                <label><?php echo e(__("Edit Visitor")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('24', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="24">
                                                <label><?php echo e(__("Delete Visitor")); ?></label>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("Visitor Timeline")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('6', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="6">
                                        <label><?php echo e(__("Open Visitor timeline page")); ?></label>
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("Reason for Visits")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('7', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="7">
                                        <label><?php echo e(__("Open Reason for visits page")); ?></label>
                                    </div>
                                    <div class="list">
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('71', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="71">
                                                <label><?php echo e(__("Add Reason")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('72', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="72">
                                                <label><?php echo e(__("Delete Reason")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('73', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="73">
                                                <label><?php echo e(__("Import Reason")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('74', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="74">
                                                <label><?php echo e(__("Export Reason")); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("Users")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('3', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="3">
                                        <label><?php echo e(__("Open Users page")); ?></label>
                                    </div>
                                    <div class="list">
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('31', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="31">
                                                <label><?php echo e(__("Add User")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('32', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="32">
                                                <label><?php echo e(__("Edit User")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('33', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="33">
                                                <label><?php echo e(__("Delete User")); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("User Roles")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('4', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="4">
                                        <label><?php echo e(__("Open User roles page")); ?></label>
                                    </div>
                                    <div class="list">
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('41', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="41">
                                                <label><?php echo e(__("Add Role")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('42', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="42">
                                                <label><?php echo e(__("Edit Role")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('43', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="43">
                                                <label><?php echo e(__("Set Permission")); ?></label>
                                            </div>
                                        </div>
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('44', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="44">
                                                <label><?php echo e(__("Delete Role")); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("Settings")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('5', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="5">
                                        <label><?php echo e(__("Open Settings page")); ?></label>
                                    </div>
                                    <div class="list">
                                        <div class="item">
                                            <div class="ui child checkbox slider">
                                                <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('51', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="51">
                                                <label><?php echo e(__("Update Settings")); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <h3 class="ui sub header"><?php echo e(__("Visitor Kiosk")); ?></h3>
                                <div class="item">
                                    <div class="ui master checkbox">
                                        <input type="checkbox" <?php if(isset($d)): ?> <?php if(in_array('8', $d)==true): ?> checked <?php endif; ?> <?php endif; ?> name="perms[]" value="8">
                                        <label><?php echo e(__("Open Visitor Kiosk")); ?></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>

                <div class="box-footer">
                    <input type="hidden" value="<?php if(isset($id)): ?><?php echo e($id); ?><?php endif; ?>" name="role_id">
                    <button class="ui positive approve small button" type="submit" name="submit"><i class="ui checkmark icon"></i><?php echo e(__("Set Permission")); ?></button>
                    <a href="<?php echo e(url('users/roles')); ?>" class="ui grey cancel small button"><i class="ui times icon"></i><?php echo e(__("Cancel")); ?></a>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('/assets/js/toast-show.js')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/edit-permissions.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/d3m0231/public_html/fd2378/application/resources/views/admin/edits/edit-permissions.blade.php ENDPATH**/ ?>