<?php $__env->startSection('meta'); ?>
    <title>Visitor Timeline Today</title>
    <meta name="description" content="">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('styles'); ?>
    <link href="<?php echo e(asset('/assets/vendor/air-datepicker/dist/css/datepicker.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('/assets/vendor/mdtimepicker/mdtimepicker.min.css')); ?>" rel="stylesheet">
    <style>
    /* .ui.active.modal {position: relative !important;} */
    .datepicker {z-index: 999 !important;}
    .datepickers-container {z-index: 9999 !important;}
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <div class="row">
        <h2 class="page-title"><?php echo e(__('Visitors Today')); ?></h2>
    </div>

    <div class="row">
        <div class="card col-md-12">
            <ul class="timeline">
                <?php if(isset($data)): ?>
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $visitor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                        <li class="timeline__item">
                            <div class="timeline__step">
                                <div class="timeline__step__marker timeline__step__marker--blue"></div>
                            </div>
                            <div class="timeline__time"><?php echo e($visitor->timein); ?></div>
                            <div class="timeline__content">
                                <div class="timeline__title">
                                    <?php echo e($visitor->lastname); ?>, <?php echo e($visitor->firstname); ?>

                                </div>
                                <ul class="timeline__points">
                                    <li><?php echo e($visitor->reasonforvisit); ?></li>
                                </ul>
                            </div>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/d3m0231/public_html/fd2378/application/resources/views/admin/visitor-timeline.blade.php ENDPATH**/ ?>