(function() {
    "use strict";

    var elTime = document.getElementById('clock');
    var timezone = document.getElementById('timezone').value;
    var timeformat = document.getElementById('timeformat').value;

    var setTime = function() {
        // initialize clock with timezone
        var time = moment().tz(timezone);
        // set time in html
        if (timeformat == 1) {
            elTime.innerHTML = time.format("hh:mm:ss A");
        } else {
            elTime.innerHTML = time.format("kk:mm:ss");
        }
    }

    setTime();

    setInterval(setTime, 1000);
})();