(function() {
    "use strict";
    
    $('.btn-edit').on("click", function() {
        var id = $(this).attr('data-id');
        var url = $("#url").val();

        $.ajax({
            url: url + '/user/roles/get/',
            type: 'get',
            dataType: 'json',
            data: { id: id },
            headers: { 'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content') },

            success: function(response) {
                var state = response['state'];

                $('.edit input[name="id"]').val(response['id']);
                $('.edit input[name="role_name"]').val(response['role_name']);

                if (state == 'Active') {
                    $('.ui.dropdown.state').dropdown({ values: [{ name: 'Active', value: 'Active', selected: true }, { name: 'Disabled', value: 'Disabled' }] });
                } else if (state == 'Disabled') {
                    $('.ui.dropdown.state').dropdown({ values: [{ name: 'Active', value: 'Active' }, { name: 'Disabled', value: 'Disabled', selected: true }] });
                }

                $('ui.modal.edit').modal('show');
            }
        })
    });
})();